<div class="content-area-wrapper container-xxl p-0">
    <div class="sidebar-left">
        <div class="sidebar">
            <!-- Admin user profile area -->
            
            <!--/ Admin user profile area -->

            <!-- Chat Sidebar area -->
            <div class="sidebar-content">
                <span class="sidebar-close-icon">
                    <i data-feather="x"></i>
                </span>
                <!-- Sidebar header start -->
                <div class="chat-fixed-search">
                    <div class="d-flex align-items-center w-100">
                        <div class="sidebar-profile-toggle">
                            <div class="avatar avatar-border">
                                <img src="{{getAvatarUrl(me.image)}}" alt="user_avatar" height="42" width="42" />
                                <span class="avatar-status-online"></span>
                            </div>
                        </div>
                        <div class="input-group input-group-merge ms-1 w-100">
                            <span class="input-group-text round"><i class="fa fa-search" aria-hidden="true"  ></i></span>
                            <input type="text" name="search" [(ngModel)]="search" (keyup)="searchOnEnter($event)" class="form-control round" id="chat-search" placeholder="Chercher un contact" aria-label="Search..." aria-describedby="chat-search" />
                        </div>
                    </div>
                </div>
                <!-- Sidebar header end -->

                <!-- Sidebar Users start -->
                <div [perfectScrollbar]="{}" id="users-list" class="chat-user-list-wrapper list-group">
                    
                    <h4 class="chat-list-title">Contacts</h4>
                        
                    <ng-container *ngIf="!isLoading; else loadingChatUsers">
                    <ul class="chat-users-list chat-list media-list">
                        <!-- class="active" -->
                        <li *ngFor="let user of chatUsers; let i=index" [class]="isActiveChat(user._id) ? 'active' : ''" (click)="setActiveChat(user._id)">
                            <span class="avatar"><img src="{{getAvatarUrl(user.image)}}" height="42" width="42" alt="Generic placeholder image" />
                                <!-- <span class="avatar-status-offline"></span> -->
                            </span>
                            <div class="chat-info flex-grow-1">
                                <h5 class="mb-0">{{user.name}}</h5>
                                
                                
                                    <p  class="card-text text-truncate {{isNew(user) ? 'new-message text-primary' : ''}} " *ngIf="user.message">
                                        {{messageIsFromMe(user) ? 'Vous: ':''}}{{user.message.contenu}}
                                        <ng-container>
                                            <br />
                                            <span class="my-text-small" *ngIf="user.message.fichiers.length > 0">{{user.message.fichiers.length}} fichier{{user.message.fichiers.length > 1 ? 's': ''}}</span>
                                        </ng-container>
                                    </p>
                                    
                                <p *ngIf="!user.message"  class="card-text text-truncate">
                                    Démarrer une nouvelle conversation
                                </p>
                            </div>
                            <div class="chat-meta text-nowrap" *ngIf="user.message">
                                <small class="float-end mb-25 chat-time">{{user.message.sentDate | date: 'dd/MM/yyyy, HH:mm'}}</small>
                                <!-- <span class="badge bg-primary rounded-pill  text-primary">3</span> -->
                                <span *ngIf="isNew(user)" class="float-end circle bg-primary"></span>
                            </div>
                        </li>
                        
                        <li *ngIf="chatUsers.length == 0">
                            <h6 class="mb-0">Pas de contact</h6>
                        </li>
                    </ul>
                    <div *ngIf="thereAreMoreMessages && !isMoreMessageLoading" class="d-flex justify-content-center" >
                        <div class="text-primary d-flex flex-column align-items-center my-see-more-btn" (click)="seeMoreChatUsers()">
                            <span>Voir plus</span>
                            <i class="fa fa-chevron-down" aria-hidden="true"></i>
                            
                        </div>
                        
                    </div>
                    
                    <div *ngIf="isMoreMessageLoading" class="d-flex justify-content-center" >
                        <div class="spinner-border text-primary" role="status">
                        </div>
                    </div>
                    </ng-container>
                    <ng-template #loadingChatUsers>
                        <div class="d-flex justify-content-center align-items-center" style="height: inherit;">
                            <div class="spinner-border text-primary" role="status">
                                
                            </div>
                        </div>
                    </ng-template>
                </div>
                <!-- Sidebar Users end -->
            </div>
            <!--/ Chat Sidebar area -->

        </div>
    </div>
    <div class="content-right">
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
            </div>
            <div class="content-body">
                <div class="body-content-overlay"></div>
                <!-- Main chat area -->
                <section class="chat-app-window">
                    

                    <!-- Active Chat -->
                    <!-- d-none -->
                    <app-chat-user *ngIf="userIdSelected; else noSelectedUser" class="my-chat-user" [userId]="userIdSelected"></app-chat-user>
                    <!--/ Active Chat -->

                    <!-- To load Conversation -->
                    <!-- d-none -->
                    <ng-template #noSelectedUser>
                        <div class="start-chat-area">
                            <div class="mb-1 start-chat-icon">
                                <i class="fa fa-message"></i>
                            </div>
                            <!-- <h4 class="sidebar-toggle start-chat-text">Start Conversation</h4> -->
                        </div>
                    </ng-template>
                    <!--/ To load Conversation -->
                </section>
                <!--/ Main chat area -->

                <!-- User Chat profile right area -->
                
            </div>
        </div>
    </div>
    <div class="fab-container">
        <div class="button iconbutton text-light bg-primary" (click)="init()">
            <i class="fa fa-refresh fa-2x" aria-hidden="true"></i>
        </div>
    </div>
</div>